local blocksModule = {}
blocksModule.functions = {}
blocksModule.world = {}

blocksModule.blocks = {
    {
        name = 'Grass',
        state = 1,
        slope = 0,
        color = {
            r = 0.11,
            g = 0.707,
            b = 0.04,
        },
        lighting = {
            light = 0.0,
        },
        pos = {
            x = 0,
            y = 0,
        }
    },
    {
        name = 'Stone',
        state = 1,
        slope = 0,
        color = {
            r = 0.62,
            g = 0.61,
            b = 0.63,
        },
        lighting = {
            light = 0.0,
        },
        pos = {
            x = 0,
            y = 0,
        }
    },
    {
        name = 'Dirt',
        state = 1,
        slope = 0,
        color = {
            r = 0.71,
            g = 0.307,
            b = 0.04,
        },
        lighting = {
            light = 0.0,
        },
        pos = {
            x = 0,
            y = 0,
        }
    },
    {
        name = 'Leaves',
        state = 1,
        slope = 0,
        color = {
            r = 0.11,
            g = 0.61,
            b = 0,
        },
        lighting = {
            light = 0.0,
        },
        pos = {
            x = 0,
            y = 0,
        }
    },
    {
        name = 'Oak Log',
        state = 1,
        slope = 0,
        color = {
            r = 1*(46.27/100),
            g = 1*(36.08/100),
            b = 1*(28.24/100),
        },
        lighting = {
            light = 0.0,
        },
        pos = {
            x = 0,
            y = 0,
        }
    },
    {
        name = 'Coal',
        state = 1,
        slope = 0,
        color = {
            r = 1*(21.2/100),
            g = 1*(27.1/100),
            b = 1*(31/100),
        },
        lighting = {
            light = 0.0,
        },
        pos = {
            x = 0,
            y = 0,
        }
    },
    {
        name = 'Iron',
        state = 1,
        slope = 0,
        color = {
            r = 1*(61.2/100),
            g = 1*(57.1/100),
            b = 1*(55/100),
        },
        lighting = {
            light = 0.0,
        },
        pos = {
            x = 0,
            y = 0,
        }
    },
}

blocksModule.functions.createBlock = function(id)
    return blocksModule.blocks[id] or 'nul'
end

blocksModule.functions.getBlockAtPosition = function(indexX, indexY)
    if blocksModule.world[indexX] then
        if blocksModule.world[indexX][indexY] then
            return blocksModule.world[indexX][indexY]
        end
    end
    return nil
end
return blocksModule