local lighting = {}

lighting.sources = {}

lighting.addSource = function(x, y, intensity, range, color)
    if not lighting.sources[x] then
        lighting.sources[x] = {}
    end
    lighting.sources[x][y] = {
        pos = {
            x=x,
            y=y
        },
        intensity = intensity,
        range = range,
        color = color,
    }
    print('added light at ' .. 'x: ' .. x .. ' y: '.. y)
end

return lighting